Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261265 - sys-apps/portage-2.2_rc23 incorrect merging order?
Summary: sys-apps/portage-2.2_rc23 incorrect merging order?
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Low minor (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
: 261504 (view as bug list)
Depends on: 250020
Blocks: 155723 261959
  Show dependency tree
 
Reported: 2009-03-05 08:44 UTC by Graham Murray
Modified: 2009-03-15 20:57 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Murray 2009-03-05 08:44:11 UTC
Both QT and KDE4 have been updated in the ~x86 tree. When running 'emerge -puDvN @world @system' it wants to upgrade all the KDE packages before QT. Should this not be the other way round, that the qt-4.5 packages are upgraded before the KDE ones?

These are the packages that would be merged, in order:

Calculating dependencies ... done!
[ebuild     U ] sys-apps/sandbox-1.3.9 [1.3.8] 291 kB
[ebuild    FU ] dev-java/java-sdk-docs-1.6.0.10 [1.6.0-r1] 57,511 kB
[ebuild     U ] dev-python/pyxml-0.8.4-r2 [0.8.4-r1] USE="doc examples" 0 kB
[ebuild     U ] net-dialup/freeradius-2.1.3 [2.1.1] USE="ldap pam postgres ssl threads udpfromto -bindist -debug -edirectory -firebird -frascend -frxp -kerberos -mysql -snmp" 0 kB
[ebuild     U ] net-print/gutenprint-5.2.3 [5.1.7] USE="cups gtk ppds readline -foomaticdb -gimp" 0 kB
[ebuild     U ] media-sound/phonon-4.3.1 [4.3.0-r1] USE="gstreamer xcb xine -debug" 0 kB
[ebuild     U ] kde-base/kdelibs-4.2.1 [4.2.0-r3] USE="acl alsa bzip2 doc fam mmx nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -jpeg2k -kdeprefix -kerberos -openexr -test -zeroconf (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdepimlibs-4.2.1 [4.2.0] USE="ldap sasl -debug -kdeprefix -test (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdebase-data-4.2.1 [4.2.0] USE="-kdeprefix" 51,234 kB
[ebuild     U ] kde-base/libkonq-4.2.1 [4.2.0] USE="-debug -kdeprefix -test" 4,156 kB
[ebuild     U ] kde-base/libkworkspace-4.2.1 [4.2.0] USE="-debug -kdeprefix" 49,588 kB
[ebuild     U ] kde-base/solid-4.2.1 [4.2.0] USE="bluetooth -debug -kdeprefix (-networkmanager)" 0 kB
[ebuild     U ] kde-base/kephal-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/libtaskmanager-4.2.1 [4.2.0] USE="xcomposite -debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kcheckpass-4.2.1 [4.2.0] USE="pam -debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/ksysguard-4.2.1 [4.2.0] USE="-debug -kdeprefix -lm_sensors -test (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdesu-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/ksplash-4.2.1 [4.2.0] USE="mmx sse sse2 -3dnow (-altivec) -debug -kdeprefix -xinerama" 0 kB
[ebuild     U ] kde-base/kcminit-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/ksmserver-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/khotkeys-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/keditbookmarks-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kdialog-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kdebase-kioslaves-4.2.1 [4.2.0] USE="bzip2 samba -debug -kdeprefix -openexr (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kstartupconfig-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/phonon-kde-4.2.1 [4.2.0-r1] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/soliduiserver-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kdepasswd-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kioclient-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/libplasmaclock-4.2.1 [4.2.0] USE="opengl -debug -kdeprefix -xinerama" 0 kB
[ebuild     U ] kde-base/plasma-apps-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kde-menu-icons-4.2.1 [4.2.0] USE="-kdeprefix" 0 kB
[ebuild     U ] kde-base/kde-wallpapers-4.2.1 [4.2.0] USE="-kdeprefix" 0 kB
[ebuild     U ] kde-base/kwin-4.2.1 [4.2.0] USE="opengl xcomposite -captury -debug -kdeprefix -xinerama" 0 kB
[ebuild     U ] kde-base/kpasswdserver-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kurifilter-plugins-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kstyles-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kfind-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/konqueror-4.2.1 [4.2.0-r1] USE="auth bookmarks -debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/plasma-workspace-4.2.1 [4.2.0] USE="python xcomposite -debug -google-gadgets -kdeprefix -xinerama (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdebase-desktoptheme-4.2.1 [4.2.0] USE="-kdeprefix" 0 kB
[ebuild     U ] kde-base/kdedglobalaccel-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdnssd-4.2.1 [4.2.0] USE="-debug -kdeprefix -zeroconf" 7,288 kB
[ebuild     U ] kde-base/kcontrol-4.2.1 [4.2.0-r1] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/systemsettings-4.2.1 [4.2.0-r1] USE="opengl usb -debug -kdeprefix -xinerama (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/nepomuk-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/knotify-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/powerdevil-4.2.1 [4.2.0] USE="-kdeprefix" 0 kB
[ebuild     U ] kde-base/konsole-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/solid-hardware-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/knetattach-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdebugdialog-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/khelpcenter-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kscreensaver-4.2.1 [4.2.0] USE="opengl pam -debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/dolphin-4.2.1 [4.2.0] USE="semantic-desktop -debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kfile-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kiconfinder-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kstart-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/drkonqi-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kcmshell-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kquitapp-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kmimetypefinder-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kinfocenter-4.2.1 [4.2.0] USE="opengl -debug -ieee1394 -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kappfinder-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kwrited-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/knewstuff-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kwrite-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/renamedlg-plugins-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/ktraderclient-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/ksystraycmd-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kwalletd-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kmenuedit-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdm-4.2.1 [4.2.0-r1] USE="pam -consolekit -debug -kdeprefix -kerberos (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/ktimezoned-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kde-menu-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/nsplugins-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kdebase-cursors-4.2.1 [4.2.0] USE="-kdeprefix" 0 kB
[ebuild     U ] kde-base/klipper-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kuiserver-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kreadconfig-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/krunner-4.2.1 [4.2.0] USE="opengl xcomposite -debug -kdeprefix -xscreensaver" 0 kB
[ebuild     U ] kde-base/kdebase-startkde-4.2.1 [4.2.0-r2] USE="-kdeprefix" 0 kB
[ebuild     U ] kde-base/kdebase-meta-4.2.1 [4.2.0] USE="-semantic-desktop" 0 kB
[ebuild     U ] kde-base/kopete-4.2.1 [4.2.0] USE="addbookmarks alias autoreplace contactnotes highlight history jabber nowlistening pipes privacy ssl statistics texteffect translator urlpicpreview -bonjour -debug -gadu -groupwise -jingle -kdeprefix -latex -meanwhile -msn -oscar -otr -qq -testbed -webpresence -winpopup -wlm -yahoo (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/krfb-4.2.1 [4.2.0] USE="-debug -kdeprefix -zeroconf (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kget-4.2.1 [4.2.0] USE="plasma semantic-desktop sqlite -bittorrent -bittorrent-external -debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kppp-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/krdc-4.2.1 [4.2.0] USE="jpeg -debug -kdeprefix -vnc -zeroconf (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kdenetwork-filesharing-4.2.1 [4.2.0] USE="-debug -kdeprefix" 0 kB
[ebuild     U ] kde-base/kdenetwork-meta-4.2.1 [4.2.0] 0 kB
[ebuild     U ] x11-libs/qt-core-4.5.0 [4.5.0_rc1] USE="doc glib iconv qt3support ssl -custom-cxxflags -debug -pch" 110,679 kB
[ebuild     U ] x11-libs/qt-sql-4.5.0 [4.5.0_rc1] USE="iconv postgres qt3support sqlite -custom-cxxflags -debug -firebird -mysql -odbc -pch" 0 kB
[ebuild     U ] x11-libs/qt-test-4.5.0 [4.5.0_rc1] USE="iconv%* -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-script-4.5.0 [4.5.0_rc1] USE="iconv -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-dbus-4.5.0 [4.5.0_rc1] USE="-custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-gui-4.5.0 [4.5.0_rc1-r1] USE="accessibility cups dbus glib gtkstyle mng qt3support tiff -custom-cxxflags -debug -nas -nis -pch -raster -xinerama" 0 kB
[ebuild     U ] x11-libs/qt-qt3support-4.5.0 [4.5.0_rc1] USE="accessibility phonon -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-webkit-4.5.0 [4.5.0_rc1] USE="-custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-svg-4.5.0 [4.5.0_rc1] USE="iconv -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-opengl-4.5.0 [4.5.0_rc1] USE="qt3support -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] kde-base/pykde4-4.2.1 [4.2.0] USE="-akonadi -debug -kdeprefix -semantic-desktop" 4,616 kB
[ebuild     U ] kde-base/kuser-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 1,879 kB
[ebuild     U ] kde-base/knetworkconf-4.2.1 [4.2.0-r1] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB
[ebuild     U ] kde-base/kcron-4.2.1 [4.2.0] USE="-debug -kdeprefix (-htmlhandbook%*)" 0 kB

 emerge --info
Portage 2.2_rc23 (default/linux/x86/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-rc7 i686)
=================================================================
System uname: Linux-2.6.29-rc7-i686-Intel-R-_Core-TM-2_Duo_CPU_E8200_@_2.66GHz-with-glibc2.0
Timestamp of tree: Thu, 05 Mar 2009 06:40:01 +0000
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.8
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -mtune=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -mtune=native -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="buildsyspkg distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ http://gentoo.tiscali.nl/ http://mirror.ovh.net/gentoo-distfiles/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa apache2 bash-completion berkdb bluetooth branding bzip2 cairo caps cdr cli cracklib crypt cups curl cvs cxx dbus doc dri dvd dvdr dvdread eds emacs emboss encode esd evo examples expat fam ffmpeg flac fortran gd gdbm gif gnome gnome-keyring gnutls gpm gstreamer gtk gtkhtml hal htmlhandbook iconv idn imagemagick imlib ipv6 isdnlog java jpeg kde kdehiddenvisibility ldap libnotify libsamplerate logrotate lzo mad midi mikmod mmap mmx mng mono mp3 mpeg mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png postgres ppds pppd pulseaudio python qt3 qt3support qt4 quicktime readline reflection samba sdl session speex spell spl sqlite sqlite3 sse sse2 ssl startup-notification subversion svg sysfs tcl tcpd theora threads tiff tk truetype unicode usb vim-syntax vorbis win32codecs x264 x86 xattr xcb xcomposite xml xorg xulrunner xv zlib" ALSA_CARDS="intel-hda" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en" USERLAND="GNU" VIDEO_CARDS="vesa fbdev nv"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Matthias Schwarzott gentoo-dev 2009-03-05 21:16:48 UTC
All kde-packages depend on "x11-libs/qt-core:4" (via kde4-base.eclass)
As the old, already installed, qt-packages fullfil this there is no need for portage to change the order.

I also think a change of this order may be necessary in some cases, but I don't know a way how to express this with ebuild syntax.
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-05 22:32:20 UTC
Making a guess here about validity, re-assigning to dev-portage.
Comment 3 Zac Medico gentoo-dev 2009-03-05 22:46:53 UTC
Changes that are in svn, related to bug 250020, probably solve this case. You can checkout the code from trunk if you'd like to test it now:

  http://www.gentoo.org/proj/en/portage/doc/testing.xml

I'm planning to do a portage-2.2_rc24 release this weekend that will include everything that's in trunk.
Comment 4 Zac Medico gentoo-dev 2009-03-06 05:55:56 UTC
I've tested with trunk and it's pulling in the qt-4.5.0 update before kde-4.2.1 so it looks good here.
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-09 17:54:16 UTC
*** Bug 261504 has been marked as a duplicate of this bug. ***
Comment 6 Zac Medico gentoo-dev 2009-03-15 20:57:19 UTC
This is fixed in 2.1.6.8.